# Interface IntegerEntry

All Superinterfaces:
  `AnnotationConstantValueEntry, ConstantValueEntry, LoadableConstantEntry, PoolEntry`

public sealed interface IntegerEntry extends AnnotationConstantValueEntry, ConstantValueEntry
Models a `CONSTANT_Integer_info` structure, or an `int` constant, in the constant pool of a `class` file.

The use of a `IntegerEntry` is modeled by an `int`. Conversions are through `ConstantPoolBuilder.intEntry(int)` and `intValue()`.

See Java Virtual Machine Specification:
  4.4.4 The `CONSTANT_Integer_info` and `CONSTANT_Float_info` Structures
Since:
  24
See Also:
  - `ConstantPoolBuilder::intEntry`

## Field Summary

### Fields declared in interface PoolEntry

`TAG_CLASS, TAG_DOUBLE, TAG_DYNAMIC, TAG_FIELDREF, TAG_FLOAT, TAG_INTEGER, TAG_INTERFACE_METHODREF, TAG_INVOKE_DYNAMIC, TAG_LONG, TAG_METHOD_HANDLE, TAG_METHOD_TYPE, TAG_METHODREF, TAG_MODULE, TAG_NAME_AND_TYPE, TAG_PACKAGE, TAG_STRING, TAG_UTF8`

## Method Summary

Modifier and Type
Method
Description
`int`
`intValue()`
Returns the `int` value.

### Methods declared in interface AnnotationConstantValueEntry

`constantValue`

### Methods declared in interface ConstantValueEntry

`constantValue`

### Methods declared in interface LoadableConstantEntry

`typeKind`

### Methods declared in interface PoolEntry

`constantPool, index, tag, width`

## Method Details

### intValue

int intValue()
Returns the `int` value.

Returns:
  the `int` value
See Also:
  - `ConstantPoolBuilder.intEntry(int)`